'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _promise = require('babel-runtime/core-js/promise');

var _promise2 = _interopRequireDefault(_promise);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

exports.handleResponse = handleResponse;
exports.handleError = handleError;
exports.default = http;

var _axios = require('axios');

var _axios2 = _interopRequireDefault(_axios);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function handleResponse(response) {
  // console.log('data - ', response.data)
  return response.data;
}

function handleError(error) {
  // console.log('error - ', JSON.stringify(error.response.data.error))
  // console.log('error - ', error)
  return error.response.data.error;
}

function http({ url, params = {}, headers = {}, method } = {}) {
  return (0, _axios2.default)({
    url,
    method: method || 'get',
    data: params,
    headers: (0, _extends3.default)({
      'Content-Type': 'application/json'
    }, headers)
  }).then(handleResponse).catch(e => _promise2.default.reject(handleError(e)));
}
//# sourceMappingURL=index.js.map