#!/usr/bin/env node
'use strict';

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _args = require('./args');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable  global-require */
switch (_args.command) {
  case 'config':
    {
      const { runSetup } = require('./config');
      runSetup();
      break;
    }
  case 'commit':
    {
      const { runCommit } = require('./commit');
      runCommit({ message: _args.action, smart: _args.smart });
      break;
    }
  case 'checkout':
    {
      const { promptCheckoutCommand } = require('./checkout');
      promptCheckoutCommand();
      break;
    }
  case 'pr':
    {
      const { promptPullRequestCommand } = require('./pr');
      promptPullRequestCommand({ status: _args.status, create: _args.create }).catch(e => {
        console.log(_chalk2.default.magenta('Sorry, there was an error'));
        if (e) {
          console.log(e);
        }
      });
      break;
    }
  case 'version':
    {
      const pkg = require('../package.json');
      console.log(pkg.version);
      break;
    }
  case 'jira':
    {
      const jira = require('./jira');
      jira().catch(e => {
        console.log(_chalk2.default.magenta('Sorry, there was an error'));
        if (e) {
          console.log(e);
        }
      });
      break;
    }
  default:
    break;
}
//# sourceMappingURL=index.js.map