'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

var _stringify = require('babel-runtime/core-js/json/stringify');

var _stringify2 = _interopRequireDefault(_stringify);

exports.default = jiraCmd;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _jiraApi = require('./jira-api');

var _jiraApi2 = _interopRequireDefault(_jiraApi);

var _config = require('../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function displayIssues(res) {
  res.issues.forEach(({ key, fields }) => {
    console.log(`${key} - ${_chalk2.default.yellow(fields.priority.name)} / ${_chalk2.default.cyan(fields.status.name)}`);
    console.log(`${fields.reporter.displayName}`);
    console.log('description', fields.description);
    console.log('timespent', fields.timespent);
    console.log('estimate', fields.timeestimate);
    console.log('due', fields.duedate);
    // console.log(`${key} - ${JSON.stringify(fields.issuetype)}`)
    console.log(`${key} - ${(0, _stringify2.default)(fields.priority)}`);
    // console.log(`${key} - ${JSON.stringify(fields.status)}`)
    // console.log(`${key} - ${JSON.stringify(fields.progress)}`)
  });
}

function displayIssueCounts(res) {
  console.log((0, _keys2.default)(res.issues[0].fields));
  const issueGroups = res.issues.reduce((memo, issue) => {
    const { fields = {} } = issue;
    const { priority = {} } = fields;
    if (priority && priority.name) {
      return (0, _extends3.default)({}, memo, {
        [priority.name]: (memo[priority.name] || 0) + 1
      });
    }

    return memo;
  }, {});

  (0, _keys2.default)(issueGroups).forEach(key => {
    console.log(`${key} - ${issueGroups[key]} issues`);
  });
}

function displayProjects(res) {
  console.log(`${res.length} Project(s)`);
  console.log('--------------------------------');

  res.forEach(({ name, id, key }) => {
    console.log(`${id} - ${name}`);
    console.log(`==> ${(0, _config.getJiraHost)()}/projects/${key}`);
    console.log('--------------------------------');
  });
}

function jiraCmd() {
  return (0, _jiraApi2.default)({
    host: (0, _config.getJiraHost)(),
    token: (0, _config.getJiraToken)()
  }).getIssuesForUser().then(displayIssueCounts);
}
module.exports = exports['default'];
//# sourceMappingURL=index.js.map